Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517416 - [abrt] cinnamon: raw_decode(): JsonSettingsWidgets.py:125:get_settings:Exception: Failed to parse settings JSON data for file /home/skeer/.cinnamon/configs/calendar@cinnamon.org/12.json [NEEDINFO]
Summary: [abrt] cinnamon: raw_decode(): JsonSettingsWidgets.py:125:get_settings:Except...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:99d6a0edc0f5b7fbfa77ffb9fbc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-25 02:35 UTC by B H
Modified: 2018-05-29 11:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:34:18 UTC
leigh123linux: needinfo? (invalid.path)


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-25 02:35 UTC, B H
no flags Details
File: cgroup (deleted)
2017-11-25 02:35 UTC, B H
no flags Details
File: cpuinfo (deleted)
2017-11-25 02:35 UTC, B H
no flags Details
File: environ (deleted)
2017-11-25 02:35 UTC, B H
no flags Details
File: mountinfo (deleted)
2017-11-25 02:35 UTC, B H
no flags Details
File: namespaces (deleted)
2017-11-25 02:35 UTC, B H
no flags Details
File: open_fds (deleted)
2017-11-25 02:35 UTC, B H
no flags Details

Description B H 2017-11-25 02:35:26 UTC
Version-Release number of selected component:
cinnamon-3.6.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/xlet-settings.py applet calendar@cinnamon.org 12
crash_function: raw_decode
exception_type: json.decoder.JSONDecodeError
executable:     /usr/share/cinnamon/cinnamon-settings/xlet-settings.py
kernel:         4.13.12-200.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
JsonSettingsWidgets.py:125:get_settings:Exception: Failed to parse settings JSON data for file /home/skeer/.cinnamon/configs/calendar@cinnamon.org/12.json

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/bin/JsonSettingsWidgets.py", line 123, in get_settings
    settings = json.loads(raw_data, encoding=None, object_pairs_hook=collections.OrderedDict)
  File "/usr/lib64/python3.6/json/__init__.py", line 367, in loads
    return cls(**kw).decode(s)
  File "/usr/lib64/python3.6/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python3.6/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/bin/JsonSettingsWidgets.py", line 104, in check_settings
    self.settings = self.get_settings()
  File "/usr/share/cinnamon/cinnamon-settings/bin/JsonSettingsWidgets.py", line 125, in get_settings
    raise Exception("Failed to parse settings JSON data for file %s" % (self.filepath))
Exception: Failed to parse settings JSON data for file /home/skeer/.cinnamon/configs/calendar@cinnamon.org/12.json

Local variables in innermost frame:
raw_data: ''
file: <_io.TextIOWrapper name='/home/skeer/.cinnamon/configs/calendar@cinnamon.org/12.json' mode='r' encoding='UTF-8'>
self: <JsonSettingsWidgets.JSONSettingsHandler object at 0x7fe7625df518>

Comment 1 B H 2017-11-25 02:35:30 UTC
Created attachment 1358853 [details]
File: backtrace

Comment 2 B H 2017-11-25 02:35:30 UTC
Created attachment 1358854 [details]
File: cgroup

Comment 3 B H 2017-11-25 02:35:31 UTC
Created attachment 1358855 [details]
File: cpuinfo

Comment 4 B H 2017-11-25 02:35:32 UTC
Created attachment 1358856 [details]
File: environ

Comment 5 B H 2017-11-25 02:35:33 UTC
Created attachment 1358857 [details]
File: mountinfo

Comment 6 B H 2017-11-25 02:35:34 UTC
Created attachment 1358858 [details]
File: namespaces

Comment 7 B H 2017-11-25 02:35:35 UTC
Created attachment 1358859 [details]
File: open_fds

Comment 8 leigh scott 2017-11-25 06:29:44 UTC
Can you post /home/skeer/.cinnamon/configs/calendar@cinnamon.org/12.json please

Comment 9 Fedora End Of Life 2018-05-03 08:07:50 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2018-05-29 11:34:18 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.